#ifndef CLOCK_H_
#define CLOCK_H_

#include "util.h"

class ChessClock{
	private:
		my_timer_t clock;
		bool timer;
		int seconds;
		char str[10];
	public:
		int inc;

		ChessClock(bool _timer=false, int _seconds=0, int _inc=0): timer(_timer), seconds(_seconds), inc(_inc) {
			reset();
		}
		void start();
		void stop(bool increase=true);
		void reset();
		bool isRunning() const{return clock.running; }
		void set(bool _timer=false, int _seconds=0, int _inc=0);
		int getSeconds() const;
		int getElapsedSeconds() const{ return my_timer_elapsed_real(&clock); }
		void setElapsedSeconds(int sec) { clock.elapsed_cpu=sec; clock.elapsed_real=sec;}
		bool isFinished() const {return (timer && getSeconds()<=0);}
		const char * toString();
};
#endif /*CLOCK_H_*/
